from vcApplication import *

machine_tooltip = '''Add machine functionality to the selected component. Define the kinematic structure and Servo Controller of the component before using this wizard.

This wizard creates the Features, Properties, and Behaviours that are needed for a machine.
User can select if the machine is working with one or multiple of the following functionalities:
1. Process modeling


Extract any moving parts such as machine doors, joints, and spindles to individual nodes.
The Servo Controllers for moving joints should also be configured so that the Joint Type, Axis, Initial Value, and Min/Max Limits are set.

After using the wizard, the frame locations, cycle times, motions and process statements should be finalized manually.
'''

#localize = findCommand('netCommand')
#localize.execute('SetLocalizationCommand', 'English', 'Python', 'cmdMachineWizard', 'Text', 'Machine')
#localize.execute('SetLocalizationCommand', 'English', 'Python', 'cmdMachineWizard', 'Tooltip', machine_tooltip)


def OnStart():
  cmduri = getApplicationPath() + 'FailingWizard.py'
  cmd = loadCommand('cmdFailingWizard',cmduri)
  addMenuItem(VC_MENU_MODELING_WIZARDS + '/Component Wizards', "Failure", -1, "cmdFailingWizard")
  

